#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Summary:        Support lib for mail apps
Name:           mailcommon
Epoch:          2
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Designer)

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5TemplateParser)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MailImporter)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5WebKit)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  pkgconfig(phonon4qt5)

BuildRequires:  xsltproc


%description
Support lib for mail apps.

%files
%_kf5_sysconfdir/xdg/mailcommon.categories
%_kf5_sysconfdir/xdg/mailcommon.renamecategories

#--------------------------------------------------------------------

%define kf5mailcommon_major 5
%define libkf5mailcommon %mklibname kf5mailcommon %{kf5mailcommon_major}

%package -n %libkf5mailcommon
Summary:      Support lib for mail apps
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5mailcommon
Support lib for mail apps.

%files -n %libkf5mailcommon
%_kf5_libdir/libKF5MailCommon.so.%{kf5mailcommon_major}*

#--------------------------------------------------------------------

%define kf5mailcommon_devel %mklibname kf5mailcommon -d

%package -n %kf5mailcommon_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5mailcommon = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5mailcommon_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mailcommon_devel
%_kf5_includedir/MailCommon
%_kf5_includedir/mailcommon
%_kf5_includedir/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5MailCommon
%_qt5_prefix/mkspecs/modules/*.pri
%_qt5_plugindir/designer/mailcommonwidgets.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CPATH="${CPATH}:/usr/include/phonon4qt5"
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090158
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076900
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073954
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067412
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061475
- New version 16.08.2

* Wed Sep 28 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1057182
- Do not build on armv5tl

* Sun Sep 18 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1053580
- Rebuild for armv7

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051948
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048103
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040141
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012631
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004419
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997566
- imported package mailcommon

